module Main = Miki.F (User.Judge)

let parse str =
  Parser.start Lexer.token (Lexing.from_string (str^";;"))

let _ =
  User.Term.parse :=
    (fun str -> Parser.terms Lexer.token (Lexing.from_string str));
  User.Var.parse :=
    (fun str -> Parser.vars Lexer.token (Lexing.from_string str));
  User.Type.parse :=
    (fun str -> Parser.types Lexer.token (Lexing.from_string str));
  User.TVar.parse :=
    (fun str -> Parser.tvars Lexer.token (Lexing.from_string str));
  User.Env.parse :=
    (fun str -> Parser.envs Lexer.token (Lexing.from_string str));
  Main.launch_gui parse User.infer_rule_list
